Bug 1439514 - dnf config-manager --add-repo returns 0 on failure
dnf config-manager --add-repo returns 0 on failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
25
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 1493489
  Show dependency treegraph
 
Reported: 2017-04-06 03:05 EDT by Ihar Hrachyshka
Modified: 2017-09-20 06:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-plugins-core-2.1.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1493489 (view as bug list)
Environment:
Last Closed: 2017-07-25 12:55:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ihar Hrachyshka 2017-04-06 03:05:21 EDT
[vagrant@localhost ~]$ sudo dnf config-manager --add-repo=http://download.devel.redhat.com/rel-eng/dist-git/fedora/rhpkg.repo
Adding repo from: http://download.devel.redhat.com/rel-eng/dist-git/fedora/rhpkg.repo
Curl error (6): Couldn't resolve host name for http://download.devel.redhat.com/rel-eng/dist-git/fedora/rhpkg.repo [Could not resolve host: download.devel.redhat.com]
[vagrant@localhost ~]$ echo $?
0

I believe it should return some other value on failure.
Comment 1 Honza Silhan 2017-04-12 07:12:53 EDT
The behavior is same as in yum.

Valentina, what do you think? Can we set this as a bug and have this fixed in yum too?
Comment 2 Valentina Mukhamedzhanova 2017-05-02 11:11:07 EDT
I have no objection to fixing this.
Comment 3 Jaroslav Mracek 2017-06-19 14:46:22 EDT
I created a pull-request that should fix the issue (https://github.com/rpm-software-management/dnf-plugins-core/pull/225).
Comment 4 Fedora Update System 2017-07-24 10:50:14 EDT
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7
Comment 5 Fedora Update System 2017-07-25 00:26:23 EDT
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7
Comment 6 Fedora Update System 2017-07-25 12:55:10 EDT
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.